<?php
/*
* tsWebmenu
* Version: 1.0
* (C) 2010 by Top-Side.de
* Lizenz: http://creativecommons.org/licenses/by-nc-sa/3.0/deed.de
*/
include("wm_files/data/config.php");
include("wm_files/data/boxes.php");

$font_size_small = $font_size * 0.75;
$border = "border: ".$border_width."px ".$border_style." ".$border_color;
$style = "
td.boxtitle { color: ".$font_color_box_title."; font-weight: bold; ".$border."; background: ".$color_box_title." }
td.boxcontent { color: ".$font_color."; ".$border."; background: ".$color_box_content." }
table { ".$border."; border-collapse: collapse; spacing: 0 }
body { scrollbar-base-color: ".$color_background."; scrollbar-arrow-color: ".$border_color."; background: ".$color_background." }
td { color: ".$font_color."; font-family: ".$font_family."; font-size: ".$font_size."px; padding: 5px; background: ".$color_background_center." }
a:link { color: ".$link_color."; font-family: ".$font_family."; font-size: ".$font_size."px; text-decoration: ".$link_style." }
a:active { color: ".$link_color."; font-family: ".$font_family."; font-size: ".$font_size."px; text-decoration: ".$link_style." }
a:visited { color: ".$link_color."; font-family: ".$font_family."; font-size: ".$font_size."px; text-decoration: ".$link_style." }
a:hover { color: ".$link_color_hover."; font-family: ".$font_family."; font-size: ".$font_size."px; text-decoration: ".$link_style_hover." }
textarea { color: ".$font_color."; font-family: ".$font_family."; font-size: ".$font_size."px; background-color: ".$color_background_center."; ".$border." }
input { color: ".$font_color."; font-family: ".$font_family."; font-size: ".$font_size."px; background-color: ".$color_background_center."; ".$border." }
select { color: ".$font_color."; font-family: ".$font_family."; font-size: ".$font_size."px; background-color: ".$color_background_center."; ".$border." }
table.none { border: none }\ntable.none td { padding: 0px; background-color: transparent }\nimg { border: none }
";

$lcount = 0;
foreach($boxes as $key => $value)
{
if($value[0] == 'l')
	$lcount++;
}
$rcount = count($boxes) - $lcount;

function Box($id, $lr, $title, $content)
{
	global $boxes, $lcount;
	if($_SESSION['login'] && $_GET['p'] == "boxes")
	{
		echo "\n<div style=\"text-align: right\">\n";
		echo "<a href=\"webmenu.php?p=boxes&a=delbox&id=".$id."\"><img src=\"wm_files/images/delete.png\" alt=\"delete\" title=\"Box l&ouml;schen\"></a>\n";
		if($lr == 'l' && $id != 0 || $lr == 'r' && $id != $lcount)
			echo "<a href=\"webmenu.php?p=boxes&a=boxup&id=".$id."\"><img src=\"wm_files/images/up.png\" alt=\"up\" title=\"Box nach oben\"></a>\n";
		if($lr == 'l' && $id != $lcount - 1 || $lr == 'r' && $id != count($boxes) - 1)
			echo "<a href=\"webmenu.php?p=boxes&a=boxdown&id=".$id."\"><img src=\"wm_files/images/down.png\" alt=\"down\" title=\"Box nach unten\"></a>\n";
		if($lr == 'l')
			echo "<a href=\"webmenu.php?p=boxes&a=boxright&id=".$id."\"><img src=\"wm_files/images/right.png\" alt=\"right\" title=\"Box nach rechts\"></a>\n";
		else
			echo "<a href=\"webmenu.php?p=boxes&a=boxleft&id=".$id."\"><img src=\"wm_files/images/left.png\" alt=\"left\" title=\"Box nach links\"></a>\n";
		echo "<a href=\"webmenu.php?p=boxes&a=editbox&id=".$id."\"><img src=\"wm_files/images/box.png\" alt=\"box\" title=\"Box bearbeiten\"></a>\n";
		echo "</div>\n";
	}
	echo "<table width=\"100%\">\n<tr><td class=\"boxtitle\">".$title."</td></tr>\n";
	echo "<tr><td class=\"boxcontent\">".$content."</td></tr>\n";
	echo "</table><br>\n";
}

session_start();
if(!isset($_SESSION['login']))
	$_SESSION['login'] = false;
echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"
        \"http://www.w3.org/TR/html4/loose.dtd\">\n";
echo "<html>\n<head>\n";
echo "<title>".$title."</title>\n";
echo "<meta name=\"generator\" content=\"Top-Side.de tsWebmenu\">\n";
echo "<style type=\"text/css\">".$style."</style>\n";
echo "</head>\n\n";
echo "<body>\n";

echo "<table align=\"center\" width=\"".$width."\">\n<tr><td>\n";
if(!empty($logo_url))
	echo "<img src=\"".$pageurl.$logo_url."\" alt=\"logo\">\n";
if(!empty($adcode))
	echo "<div style=\"text-align: right; float: right\">".$adcode."</div>\n";
echo "</td></tr>\n</table><br>\n";
echo "<table align=\"center\" width=\"".$width."\">\n<tr><td align=\"right\">".date("d.m.Y - H:i")."</td></tr>\n</table><br>\n";

if($_SESSION['login'])
{
	echo "<table align=\"center\" width=\"".$width."\">\n<tr><td>\n";
	echo "<table style=\"text-align: center; border: none\"><tr>\n";
	echo "<td><b>Admin<br>Control<br>Panel</b></td>\n";
	echo "<td><a href=\"".$pageurl."webmenu.php?p=settings\" style=\"text-decoration: none\"><img src=\"".$pageurl."wm_files/images/config.png\" alt=\"Einstellungen\"><br>Einstellungen</a></td>\n";
	echo "<td><a href=\"".$pageurl."webmenu.php?p=boxes\" style=\"text-decoration: none\"><img src=\"".$pageurl."wm_files/images/boxes.png\" alt=\"Boxen bearbeiten\"><br>Boxen bearbeiten</a></td>\n";
	echo "<td><a href=\"".$pageurl."webmenu.php?p=pages\" style=\"text-decoration: none\"><img src=\"".$pageurl."wm_files/images/pages.png\" alt=\"Seiten verwalten\"><br>Seiten verwalten</a></td>\n";
	echo "<td><a href=\"".$pageurl."webmenu.php?p=help\" style=\"text-decoration: none\"><img src=\"".$pageurl."wm_files/images/help.png\" alt=\"Hilfe\"><br>Hilfe</a></td>\n";
	echo "<td><a href=\"".$pageurl."webmenu.php?p=setpassword\" style=\"text-decoration: none\"><img src=\"".$pageurl."wm_files/images/password.png\" alt=\"Passwort &auml;ndern\"><br>Passwort &auml;ndern</a></td>\n";
	echo "<td><a href=\"".$pageurl."webmenu.php?p=sysinfo\" style=\"text-decoration: none\"><img src=\"".$pageurl."wm_files/images/sysinfo.png\" alt=\"Systeminformationen\"><br>Systeminfos</a></td>\n";
	echo "<td><a href=\"".$pageurl."webmenu.php?p=logout\" style=\"text-decoration: none\"><img src=\"".$pageurl."wm_files/images/logout.png\" alt=\"Logout\"><br>Logout</a></td>\n";
	echo "</tr></table>\n</td></tr>\n</table><br>\n";
}

echo "<table align=\"center\" style=\"width: ".$width."px; border: none\">\n<tr>\n";
if($lcount)
{
	echo "<td style=\"width: 150px; vertical-align: top; padding: 0; background-color: transparent\">\n";
	foreach($boxes as $key => $value)
	{
		if($value[0] == 'l')
			Box($key, $value[0], $value[1], $value[2]);
	}
	echo "</td><td style=\"width: 15px; background-color: transparent\"></td>";
}
echo "<td style=\"padding: 0px; background-color: transparent; vertical-align: top\">\n";
echo "<table width=\"100%\"><tr><td>\n";
?>